This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 886395 - rpmbuild -ta is confused by two specs in tarball
rpmbuild -ta is confused by two specs in tarball
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-12 03:16 EST by Fabian Deutsch
Modified: 2015-04-10 10:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-10 10:23:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tarbal with two specs. (625 bytes, application/x-bzip2)
2012-12-12 03:16 EST, Fabian Deutsch
no flags Details

  None (edit)
Description Fabian Deutsch 2012-12-12 03:16:22 EST
Created attachment 662107 [details]
Tarbal with two specs.

Description of problem:
Running rpmbuild -ta against a tarball containing two specs (both in different subfolders) leads to an "second %prep" error.

Version-Release number of selected component (if applicable):
F17

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild -ta sp.tar.bz2
2.
3.
  
Actual results:
$ rpmbuild -ta sp.tar.bz2
...
error: line 55: second %prep


Expected results:
rpmbuild complains about second spec or any other detailed information


Additional info:
- adding -v or -vv also doesn't help to find the cause of the problem
Comment 1 Panu Matilainen 2012-12-14 05:44:45 EST
Heh, its very confused indeed. With rpm 4.9.x I get similar results:

[pmatilai@localhost rpm-4.9.x]$ ./rpmbuild -ta ~/sp.tar.bz2
error: File /home/pmatilai is smaller than 13 bytes
error: line 55: second %prep
[pmatilai@localhost rpm-4.9.x]$

With newer versions its even more bizarre:

[pmatilai@localhost rpm]$ ./rpmbuild -ta ~/sp.tar.bz2 
error: File /home/pmatilai: Is a directory
[pmatilai@localhost rpm]$

I'll have a look, but whether this is ever going to get fixed for rpm 4.9.x specifically is another story.
Comment 2 Fedora End Of Life 2013-07-04 02:26:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Panu Matilainen 2013-07-04 02:57:48 EDT
Moving to rawhide to avoid timeouting, the issue still exists in all rpm versions including upstream git.
Comment 4 Florian Festi 2015-04-10 10:23:53 EDT
Fixed upstream as 90976cf618cbeef1ab3dd557c0cfcff041330696

Note You need to log in before you can comment on or make changes to this bug.